Fix return code for pretty_tox_serial.sh

This commit properly returns the return code from the testr run.

Change-Id: Ifa0b39786814e5a40d1b97b52df809db65f8c211
diff --git a/tools/pretty_tox_serial.sh b/tools/pretty_tox_serial.sh
index dd7b682..45f05bd 100755
--- a/tools/pretty_tox_serial.sh
+++ b/tools/pretty_tox_serial.sh
@@ -6,4 +6,6 @@
     testr init
 fi
 testr run --subunit $TESTRARGS | subunit2pyunit
+retval=$?
 testr slowest
+exit $retval